Timeslot(3pm)

NAME
Lire::Timegroup - Base class for implementation of the timeslot aggregator

SYNOPSIS
    use Lire::Timeslot;

DESCRIPTION
This module is the base class for implementation of the timeslot aggregator. This aggregator will split the DLF records based on a unit of time. For example, if the unit is 1h, all DLF records occuring on the same hour of day (independant of the day on which it occurs) are grouped together.

CONSTRUCTOR

  new( %params )
Creates a new instance of a timegroup aggregator. In addition to the normal report operator parameters, the timegroup aggregator can take several parameters:

field
    This optional parameter contains the DLF field which contains the time value used to group the DLF records together. See the field() method for more information.

unit
    This mandatory parameter should contains the time unit that will be used to group the records. See the unit() method for more information.

METHODS

  field( [$new_field] )
Returns the DLF field's name that is used to group the DLF records. This should be a valid timestamp DLF field in the current schema. By default, the default timestamp field of the DLF schema is used.

You can change the field by passing a $new_field parameter.

  unit( [$new_unit])
Returns the time unit that will be used to group the DLF records. The unit is expressed as a duration value (for example 1s), but it should be noted that this will group the records based on the second unit of the DLF record's timestamp value. It could also be the name of a report specification's parameter containing a duration value.

The time unit can be changed by using the $new_unit parameter.

SEE ALSO
 Lire::ReportSpec(3pm), Lire::Group(3pm), Lire::ReportOperator(3pm),
 Lire::Timegroup(3pm)

AUTHORS
  Francis J. Lacoste <flacoste@logreport.org>
  Wolfgang Sourdeau <Wolfgang.Sourdeau@Contre.COM>

VERSION
$Id: Timeslot.pm,v 1.27 2006/07/23 13:16:30 vanbaal Exp $

COPYRIGHT
Copyright (C) 2001-2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.